.material-icons.md-18 { font-size: 18px; color:olivedrab;}
.material-icons.md-24 { font-size: 24px; color:olivedrab;}
.material-icons.md-36 { font-size: 36px; color:olivedrab;}
.material-icons.md-48 { font-size: 48px; color:olivedrab;}

 /* The flip box container - set the width and height to whatever you want. We have added the border property to demonstrate that the flip itself goes out of the box on hover (remove perspective if you don't want the 3D effect */
.flip-box {
  background-color: transparent;
  width: 100%;
  height: 400px;
  border: 1px solid #f1f1f1;
 /* perspective: 1000px; */ /* Remove this if you don't want the 3D effect */
}

/* This container is needed to position the front and back side */
.flip-box-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-box:hover .flip-box-inner {
  transform: rotateY(180deg);
}

/* Position the front and back side */
.flip-box-front, .flip-box-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
}

/* Style the front side (fallback if image is missing) */
.flip-box-front {
  background-color: transparent;
  color: black;
}

/* Style the back side */
.flip-box-back {
  background-color: transparent;
  color: white;
  transform: rotateY(180deg);
} 

/* L'icone sur la page d'accueil pour la gallery et News */
.gallery.hover.link-icon .image-container::before {
  content: "\f0c1";
}

/* L'icone sur la page d'accueil pour les dossiers */
.folders.hover.link-icon .image-container::before {
  content: "\f0c1";
}
/* Css Pour la gestion et l'affichage de l'accordéon */
section {
  max-width: var(--sectionWidth);
  margin: 40px auto;
  width: 97%;
  color: olivedrab /*#fff*/;
}

summary {
  display: block;
  cursor: pointer;
  padding: 10px;
  margin-left: 5px;
  font-family: "lato", monospace;
  font-variant: small-caps;
  font-size: 25px;
  transition: .3s;
  border-bottom: 2px solid;
  user-select: none;
  color:rgba(107,132,35,0.60);
  
}

summary::-webkit-details-marker {
   display: none
}

summary > span:before{
  margin-right: 15px;
  font-family: FontAwesome;
  content:"\f067";
}

details > div {
  display: flex;
  flex-wrap: wrap;
  overflow: auto;
  height: 100%;
  user-select: none;
  padding: 0 20px;
  font-family: "Karla", sans-serif;
  line-height: 1.5;
  background-color:transparent;
}

details > div > img {
  align-self: flex-start;
  max-width: 100%;
  margin-top: 20px;
}

details > div > p {
  flex: 1;
}

details[open] > summary {
  /*background-color: rgba(107,132,35,0.75);*/
  color: olivedrab;
  border-radius:10px;
  text-shadow: 1px 1px 2px darkgray;
}

details[open] > summary > span:before{
  margin-right: 15 px;	
  font-family: FontAwesome;
  content:"\f068";;
}


@media (min-width: 768px) {
  details[open] > div > p {
    opacity: 0;
    animation-name: showContent;
    animation-duration: 0.6s;
    animation-delay: 0.2s;
    animation-fill-mode: forwards;
    margin: 0;
    padding-left: 20px;
  }

  details[open] > div {
    animation-name: slideDown;
    animation-duration: 0.3s;
    animation-fill-mode: forwards;
  }

  details[open] > div > img {
    opacity: 0;
    height: 100%;
    margin: 0;
    animation-name: showImage;
    animation-duration: 0.3s;
    animation-delay: 0.15s;
    animation-fill-mode: forwards;
  }
}

@keyframes slideDown {
  from {
    opacity: 0;
    height: 0;
    padding: 0;
  }

  to {
    opacity: 1;
    height: var(--contentHeight);
    padding: 20px;
  }
}

@keyframes showImage {
  from {
    opacity: 0;
    clip-path: inset(50% 0 50% 0);
    transform: scale(0.4);
  }

  to {
    opacity: 1;
    clip-path: inset(0 0 0 0);
  }
}

@keyframes showContent {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}